import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
var color = selectors.color,
  fontSize = selectors.fontSize;
export var StyledLabel = styled.label.withConfig({
  displayName: "StyledLabel",
  componentId: "sc-1ft03pi-0"
})(["color:", ";font-size:", ";pointer-events:none;padding:4px;", " ", ""], function (_ref) {
  var $hasContainer = _ref.$hasContainer,
    $isDisabled = _ref.$isDisabled;
  return color('neutral', $isDisabled && !$hasContainer ? '300' : '400');
}, fontSize('m'), function (_ref2) {
  var $hasContainer = _ref2.$hasContainer;
  return $hasContainer && css(["padding:0 12px 0 0;"]);
}, function (_ref3) {
  var $hasDescription = _ref3.$hasDescription;
  return $hasDescription && css(["padding:12px 12px 12px 0;"]);
});